Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003663Doomseeker[All Projects] Epicpublic2019-06-19 00:222019-07-20 06:40
ReporterWubTheCaptain 
Assigned To 
PrioritylowSeverityfeatureReproducibilityN/A
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version1.2 
Target Version1.3Fixed in Version 
Summary0003663: Doomseeker 1.3 release
DescriptionSimilarly to 0003483 we did previously for Doomseeker 1.2.

Let's make a stable 1.3 release of Doomseeker?
Additional InformationFor the record to developers: I'll kindly ask to use the View Issues and/or Roadmap features in MantisBT for tracking issues to be resolved for Doomseeker 1.3. I've made a best effort to make sure assigned tickets have a target version, to utilize MantisBT to its full extent.

This is different to 0003483: Please no issues by their version or priority to relationships of this epic. The child/related issues should be reserved for reported release management issues/tasks such as releasing tarballs if agreed upon, thanks!
Attached Files

- Relationships

-  Notes
User avatar (0020774)
WubTheCaptain (developer)
2019-06-19 00:24

Doomseeker 1.2 was released on 2018-10-27 according to the MantisBT issue tracker's change log, so it's been a while again.

I'm in favor of smaller releases. Currently the roadmap has 48 issues (16 resolved), about the size of 1.1 release and half of that we had for the Doomseeker 1.2 release.

~half of current issues need review or testing.
User avatar (0020775)
WubTheCaptain (developer)
2019-06-19 00:32

Quote from WubTheCaptain
about the size of 1.1 release and half of that we had for the Doomseeker 1.2 release.


For clarification, I think the Doomseeker 1.2 release was uncomfortably a little bit too big for my tastes too. Bisecting issues (and managing issues on the issue tracker) may become easier with smaller releases.
User avatar (0020778)
Pol M (developer)
2019-06-19 11:17
edited on: 2019-06-19 11:23

No opposition from me, issues 0003369, 0003636 (and related) and 0001961 would really justify a new version, and the rest of them also add up.

As last time, I'll be translating doomseeker to a new language (I promise that I already had intention to work on it, it's just that this ticket remembered me to make the ticket 0003664).

Regarding the OpenBSD issues, while of course it would be nice to have them resolved for 1.3, I'd say that they're not blocking the release since official releases are for official platforms and OpenBSD is not and probably never will. I won't have the time and willingness to make sure that future releases will still be compatible, for instance. I'm expecting university to be a black hole for personal time. Not sure about the rest of the team, but I'd say that covering 99.37% of Internet users is enough work.

0003514 should be closed before the release, because in case it is declined we will have to make some reworks.

EDIT: BTW, happy 10 years of doomseeker-ing.

User avatar (0020780)
Zalewa (developer)
2019-06-20 09:03

I'll be taking care of all the outstanding PRs so that the list is clear. After that I'll release a beta update since I haven't done that in quite a while. After that I'll consider what else needs to be done for 1.3.
User avatar (0020803)
Zalewa (developer)
2019-06-22 10:47
edited on: 2019-06-22 10:48

Beta release for Windows uploaded to DRD Team and also to the beta update channel.

Beta is based off commit:https://bitbucket.org/Doomseeker/doomseeker/commits/6af42a5a16f7219dc7dfb24674ba555895f44f7d [^]
Package:https://devbuilds.drdteam.org/doomseeker/doomseeker-1.3~beta-190622-1032.zip [^]

There are plenty of "needs testing" issues on the roadmap. These should be tested or "tested" and marked as resolved.

I removed "1.3" target from the issues that I keep assigned to me.

User avatar (0020898)
Zalewa (developer)
2019-07-20 06:40

We're nearly there. There are several issues that still need to be "confirmed as ok" on the roadmap. Since the outstanding "needs testing" issues were reported by Wub, I urge you (Wub) to please do the confirmation.

I've also delisted following issues from 1.3:
- 0003531 (needs more work),
- 0003660 (OpenBSD issue),
- 0003662 (SRB2Kart problem that needs more work or more wait)

The final issue that needs programming attention is 0003599.

I'll update the PL translation shortly but wait with the IP2C blobbing until the final notice.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2019-06-19 00:22 WubTheCaptain New Issue
2019-06-19 00:24 WubTheCaptain Note Added: 0020774
2019-06-19 00:32 WubTheCaptain Note Added: 0020775
2019-06-19 00:39 WubTheCaptain Additional Information Updated View Revisions
2019-06-19 00:41 WubTheCaptain Additional Information Updated View Revisions
2019-06-19 00:42 WubTheCaptain Additional Information Updated View Revisions
2019-06-19 00:42 WubTheCaptain Additional Information Updated View Revisions
2019-06-19 11:17 Pol M Note Added: 0020778
2019-06-19 11:23 Pol M Note Edited: 0020778 View Revisions
2019-06-20 00:20 WubTheCaptain Assigned To => WubTheCaptain
2019-06-20 00:20 WubTheCaptain Status new => acknowledged
2019-06-20 09:03 Zalewa Note Added: 0020780
2019-06-21 20:50 WubTheCaptain Status acknowledged => confirmed
2019-06-21 20:50 WubTheCaptain Priority none => low
2019-06-22 10:47 Zalewa Note Added: 0020803
2019-06-22 10:48 Zalewa Note Edited: 0020803 View Revisions
2019-06-30 11:45 WubTheCaptain Assigned To WubTheCaptain =>
2019-07-20 06:40 Zalewa Note Added: 0020898






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker